<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Systems/Inventory/Debug.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/df6/3___game_2_systems_2_inventory_2_debug_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Debug.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html#a01a35fb2e1d460078913b5bceec5205c">    1</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html#a01a35fb2e1d460078913b5bceec5205c">syncDebugPrint</a> (<span class="keywordtype">string</span> s)</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#ifdef INV_DEBUG</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <a class="code hl_function" href="../../d0/d62/group___debug.html#gae273d2b39046bd2d0b46d3e5132ee54c">PrintToRPT</a>(<span class="stringliteral">&quot;&quot;</span> + s); <span class="comment">// comment/uncomment to hide/see debug logs</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    <span class="comment">//Print(&quot;&quot; + s); // comment/uncomment to hide/see debug logs</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>}</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html#a7499b174a00dbbaadfd457c291bbc765">   10</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html#a7499b174a00dbbaadfd457c291bbc765">actionDebugPrint</a> (<span class="keywordtype">string</span> s)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>{</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifdef INV_DEBUG</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    <a class="code hl_function" href="../../d0/d62/group___debug.html#gae273d2b39046bd2d0b46d3e5132ee54c">PrintToRPT</a>(<span class="stringliteral">&quot;&quot;</span> + s); <span class="comment">// comment/uncomment to hide/see debug logs</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;&quot;</span> + s); <span class="comment">// comment/uncomment to hide/see debug logs</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html#a495fdd739a049800016ad80fef717c4b">   19</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html#a495fdd739a049800016ad80fef717c4b">inventoryDebugPrint</a> (<span class="keywordtype">string</span> s)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">#ifdef INV_DEBUG</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <a class="code hl_function" href="../../d0/d62/group___debug.html#gae273d2b39046bd2d0b46d3e5132ee54c">PrintToRPT</a>(<span class="stringliteral">&quot;&quot;</span> + s); <span class="comment">// comment/uncomment to hide/see debug logs</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">//Print(&quot;&quot; + s); // comment/uncomment to hide/see debug logs</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>}</div>
<div class="ttc" id="a3___game_2_systems_2_inventory_2_debug_8c_html_a01a35fb2e1d460078913b5bceec5205c"><div class="ttname"><a href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html#a01a35fb2e1d460078913b5bceec5205c">syncDebugPrint</a></div><div class="ttdeci">void syncDebugPrint(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c_source.html#l00001">Debug.c:1</a></div></div>
<div class="ttc" id="a3___game_2_systems_2_inventory_2_debug_8c_html_a495fdd739a049800016ad80fef717c4b"><div class="ttname"><a href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html#a495fdd739a049800016ad80fef717c4b">inventoryDebugPrint</a></div><div class="ttdeci">void inventoryDebugPrint(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c_source.html#l00019">Debug.c:19</a></div></div>
<div class="ttc" id="a3___game_2_systems_2_inventory_2_debug_8c_html_a7499b174a00dbbaadfd457c291bbc765"><div class="ttname"><a href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html#a7499b174a00dbbaadfd457c291bbc765">actionDebugPrint</a></div><div class="ttdeci">void actionDebugPrint(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c_source.html#l00010">Debug.c:10</a></div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___debug_html_gae273d2b39046bd2d0b46d3e5132ee54c"><div class="ttname"><a href="../../d0/d62/group___debug.html#gae273d2b39046bd2d0b46d3e5132ee54c">PrintToRPT</a></div><div class="ttdeci">proto void PrintToRPT(void var)</div><div class="ttdoc">Prints content of variable to RPT file (performance warning - each write means fflush!...</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_91065d8ef1d9d84badd69667faa65040.html">Systems</a></li><li class="navelem"><a class="el" href="../../dir_236db930e105245b471553e35208b746.html">Inventory</a></li><li class="navelem"><a class="el" href="../../d9/df6/3___game_2_systems_2_inventory_2_debug_8c.html">Debug.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
